# For GCP "REGION-docker.pkg.dev/PROJECT_ID/c-HOPSWORKS_CLUSTER_ID"
export DOCKER_REGISTRY_URL=europe-north1-docker.pkg.dev/my-proj/c-a4aade60-1787-11ef-a30e-49e756addfbc
export INSTALL_KUBECTL=false
export KUBECTL=kubectl
export HOPSWORKS_HOSTNAME=a4aade60-1787-11ef-a30e-49e756addfbc.cloud.hopsworks.ai
export HOPSWORKS_PORT=443

### BEGIN OF VERSIONS ###
export HOPSWORKS_BRANCH=3.7
export HOPSWORKS_VERSION=3.7.1
export ISTIO_VERSION=1.16.1
export KUBERNETES_FAMILY_VERSION=1.26
### END OF VERSIONS ###

export WORKING_DIR=$HOME/kserve_hopsworks
export BIN_DIR=$WORKING_DIR/bin
export ISTIO_DIR=$BIN_DIR/istio-$ISTIO_VERSION
export ASSETS_DIR=$WORKING_DIR/assets
export KAFKA_BROKERS=kafka.service.consul:9091

## istio configuration
export ISTIO_INGRESS_HTTP10=0
export ISTIO_INGRESS_HTTP_PORT=32080
export ISTIO_INGRESS_HTTPS_PORT=32443
export ISTIO_INGRESS_STATUS_PORT=32021

export KNATIVE_DOMAIN_NAME=$HOPSWORKS_HOSTNAME

## Model serving webhook
export MODEL_SERVING_KEY_SIZE=2048
export MODEL_SERVING_CERT_BASE64_FILE=$ASSETS/ca_pem_base64

## Filebeat
export LOGSTASH_ENDPOINT=logstash.service.consul:5406

## Prometheus
export K8S_CLUSTER_ENDPOINT=10.1.0.2
export K8S_API_SERVER=https://$K8S_CLUSTER_ENDPOINT
export K8S_AUTH_TOKEN_FILE=/srv/hops/prometheus/prometheus/k8s_token